org.jbpm.executor.impl.event

## Class ExecutorEventSupport

- java.lang.Object
- - org.drools.core.event.AbstractEventSupport<AsynchronousJobListener>
  - - org.jbpm.executor.impl.event.ExecutorEventSupport

- All Implemented Interfaces:
    Externalizable, Serializable

      public class ExecutorEventSupport
      extends org.drools.core.event.AbstractEventSupport<AsynchronousJobListener>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutorEventSupport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fireAfterJobCancelled(org.kie.api.executor.RequestInfo job, Throwable exception)`
    `void` | `fireAfterJobExecuted(org.kie.api.executor.RequestInfo job, Throwable exception)`
    `void` | `fireAfterJobScheduled(org.kie.api.executor.RequestInfo job, Throwable exception)`
    `void` | `fireBeforeJobCancelled(org.kie.api.executor.RequestInfo job, Throwable exception)`
    `void` | `fireBeforeJobExecuted(org.kie.api.executor.RequestInfo job, Throwable exception)`
    `void` | `fireBeforeJobScheduled(org.kie.api.executor.RequestInfo job, Throwable exception)`

    - ### Methods inherited from class org.drools.core.event.AbstractEventSupport

      `addEventListener, clear, getEventListeners, getEventListenersIterator, isEmpty, notifyAllListeners, readExternal, removeEventListener, removeEventListener, size, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutorEventSupport

          public ExecutorEventSupport()

  - ### Method Detail

    - #### fireBeforeJobScheduled

          public void fireBeforeJobScheduled(org.kie.api.executor.RequestInfo job,
                                             Throwable exception)

    - #### fireBeforeJobExecuted

          public void fireBeforeJobExecuted(org.kie.api.executor.RequestInfo job,
                                            Throwable exception)

    - #### fireBeforeJobCancelled

          public void fireBeforeJobCancelled(org.kie.api.executor.RequestInfo job,
                                             Throwable exception)

    - #### fireAfterJobScheduled

          public void fireAfterJobScheduled(org.kie.api.executor.RequestInfo job,
                                            Throwable exception)

    - #### fireAfterJobExecuted

          public void fireAfterJobExecuted(org.kie.api.executor.RequestInfo job,
                                           Throwable exception)

    - #### fireAfterJobCancelled

          public void fireAfterJobCancelled(org.kie.api.executor.RequestInfo job,
                                            Throwable exception)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.